# Dictate — From audio file

```
POST 
/dictate
```

Generate a dictation from an audio file. Only `audio/*` mime types are supported. The maximum duration is 10 minutes. If you have longer files, please use the [asynchronous equivalent](/core-api/reference/2026-07-01/server/dictate-async.md).

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

Results of processing the audio file.

## Operation spec

```json
{
  "method": "post",
  "path": "/dictate",
  "operationId": "dictate",
  "requestBody": {
    "required": true,
    "content": {
      "multipart/form-data": {
        "schema": {
          "type": "object",
          "properties": {
            "request_parameters": {
              "type": "object",
              "description": "The object containing all the information needed along with the audio file for which you want dictation.",
              "properties": {
                "dictation_locale": {
                  "type": "string",
                  "enum": [
                    "ENGLISH_US",
                    "ENGLISH_UK",
                    "FRENCH_FR"
                  ],
                  "example": "ENGLISH_US",
                  "title": "dictate_locale"
                },
                "punctuation_mode": {
                  "type": "string",
                  "enum": [
                    "EXPLICIT"
                  ],
                  "description": "Specifies how punctuation is handled. Possible values are:<br/> • `EXPLICIT`: speaker must explicitly dictate punctuation (e.g. \"comma\" or \"quotation mark\").",
                  "title": "punctuation_mode"
                }
              },
              "required": [
                "dictation_locale",
                "punctuation_mode"
              ],
              "title": "dictate_request"
            },
            "file": {
              "type": "string",
              "format": "binary"
            }
          },
          "required": [
            "request_parameters",
            "file"
          ]
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Results of processing the audio file.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "dictation": {
                "type": "string"
              }
            },
            "required": [
              "dictation"
            ],
            "title": "dictate_response"
          }
        }
      }
    }
  }
}
```
